rte_swx_port_source_params(3)

NAME
rte_swx_port_source_params

SYNOPSIS

#include <rte_swx_port_source_sink.h>

  Data Fields

struct rte_mempool * pool
const char * file_name
uint64_t n_loops
uint32_t n_pkts_max

Detailed Description

Source port creation parameters.

Definition at line 24 of file rte_swx_port_source_sink.h.

Field Documentation

  struct rte_mempool* pool
Buffer pool. Must be valid.

Definition at line 26 of file rte_swx_port_source_sink.h.

  const char* file_name
Name of a valid PCAP file to read the input packets from.

Definition at line 29 of file rte_swx_port_source_sink.h.

  uint64_t n_loops
Number of times to loop through the input PCAP file. Loop infinite times when set to 0.

Definition at line 34 of file rte_swx_port_source_sink.h.

  uint32_t n_pkts_max
Maximum number of packets to read from the PCAP file. When 0, it is internally set to RTE_SWX_PORT_SOURCE_PKTS_MAX. Once read from the PCAP file, the same packets are looped forever.

Definition at line 40 of file rte_swx_port_source_sink.h.

Author

Generated automatically by Doxygen for DPDK from the source code.